=== debian/changelog ===
golang-github-spiffe-spike-sdk-go (0.16.4-2) unstable; urgency=medium

  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump debian/* copyright years
  * Use gbp sign-tags and upstream-vcs-tag
  * Use golang-github-cenkalti-backoff-v4-dev
  * Drop newgateway pipeline

 -- Simon Josefsson <simon@josefsson.org>  Thu, 12 Feb 2026 16:23:38 +0100

golang-github-spiffe-spike-sdk-go (0.16.4-1) unstable; urgency=medium

  * Initial release (Closes: #1122130)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 19 Dec 2025 18:48:27 +0100
