=== debian/control ===
Source: golang-github-spiffe-spike-sdk-go
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-cenkalti-backoff-v4-dev,
 golang-github-cloudflare-circl-dev,
 golang-github-spiffe-go-spiffe-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spiffe-spike-sdk-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spiffe-spike-sdk-go.git
Homepage: https://github.com/spiffe/spike-sdk-go
XS-Go-Import-Path: github.com/spiffe/spike-sdk-go

Package: golang-github-spiffe-spike-sdk-go-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-cenkalti-backoff-v4-dev,
 golang-github-cloudflare-circl-dev,
 golang-github-spiffe-go-spiffe-dev,
 ${misc:Depends},
Description: SPIKE Go SDK (library)
 Secure Production Identity for Key Encryption (SPIKE)
 .
 This library is a convenient Go library for working with SPIKE:
 https://spike.ist/
 .
 This package contains the Go development library.
