=== debian/watch ===
Version: 5
Template: Github
Owner: spiffe
Project: spike-sdk-go
